<link rel="stylesheet" href="app/components/productPage/productPage.css">
<link rel="stylesheet" href="app/components/productPage/productPage2.css">

<div id="product">
	<div ng-include="'app/components/productPage/modals/mapModal.html'"></div>
	<div class="col-t" style="--per: 30%">
		<div id="imgdiv"> 
			<img src="{{image}}" alt="Can't load image" >
		</div>
		<br>
		<table id="productinfo" class="table table-striped" style="margin-top:20px">
			<tbody>	
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">
							Όνομα
						</div>
						<div class="col-m" style="--per: 60%">
							{{product.name}}
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">
							Αλκοόλ
						</div>
						<div class="col-m" style="--per: 60%">
							{{product.extraData.alcohol}} %
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">
							Ποσότητα
						</div>
						<div class="col-m" style="--per: 60%">
							{{product.extraData.quantity_ml}} ml
						</div>
					</td>
				</tr>
				<tr>
						<td>
						<div class="col-m" style="--per: 40%">
							Τύπος
						</div>
						<div class="col-m" style="--per: 60%">
							{{product.category}}
						</div>
					</td>
				</tr>
			</tbody>
		</table>
		<button type="button" class="btn btn-link" ng-click="showMap()"><span class="glyphicon glyphicon-map-marker"></span> Εμφάνιση στο χάρτη</button>
	</div>
	<div class="col-t" style="--per: 70%">
		<div id="pdescr" class="angular-with-newlines">{{product.description}}</div>
		<h4>Καταστήματα</h4>
		<table id="tablemenu">
			<tbody>
				<tr>
					<td>
						<div class="col-m left" style="--per: 30%">
							<select class="btn btn-default sort" style="padding: 5px 0px; margin-bottom: 10px">
								<option ng-selected="params.sort=='price|ASC'" ng-click="changeSort('price','ASC')">Τιμή αύξουσα</option>
								<option ng-selected="params.sort=='price|DESC'" ng-click="changeSort('price','DESC')">Τιμή φθίνουσα</option>
								<option ng-selected="params.sort=='geoDist|ASC'" ng-click="changeSort('geoDist','ASC')">Απόσταση αύξουσα</option>
								<option ng-selected="params.sort=='geoDist|DESC'" ng-click="changeSort('geoDist','DESC')">Απόσταση φθίνουσα</option>
								<option ng-selected="params.sort=='date|ASC'" ng-click="changeSort('date','ASC')">Ημερομηνία αύξουσα</option>
								<option ng-selected="params.sort=='date|DESC'" ng-click="changeSort('date','DESC')">Ημερομηνία φθίνουσα</option>
							</select>
						</div>
						<div class="col-m right" style="--per: 30%">
							<button class="btn btn-info" ng-click="newPrice()">Νέα Τιμή</button>
						</div>
						<div class="col-m right btn-list" style="--per: 40%">
							<ul class="pagination pagination-sm" style="margin:0">
								<li class="page-item">
									<a class="page-link" href="" ng-click="changePage(params.page - 1)">
										<span class="glyphicon glyphicon-triangle-left">
									</a>
								</li>
								
								<li class="page-item" ng-show="params.page > 2"><a class="page-link" href="" ng-click="changePage(1)">{{1}}</a></li>
								<li class="page-item prev" ng-show="params.page > 3"><a class="page-link" href="">..</a></li>
								
								<li class="page-item prev" ng-show="params.page > 1"><a class="page-link" href="" ng-click="changePage(params.page - 1)">{{params.page - 1}}</a></li>
								<li class="page-item current active"><a class="page-link" href="" ng-click="changePage(params.page)">{{params.page}}</a></li>
								<li class="page-item next" ng-show="params.page < lastPage"><a class="page-link" href="" ng-click="changePage(params.page + 1)">{{params.page + 1}}</a></li>

								<li class="page-item prev" ng-show="params.page < lastPage - 2"><a class="page-link" href="">..</a></li>
								<li class="page-item" ng-show="params.page < lastPage - 1"><a class="page-link" href="" ng-click="changePage(lastPage)">{{lastPage}}</a></li>
								
								<li class="page-item">
									<a class="page-link" href="" ng-click="changePage(params.page + 1)">
										<span class="glyphicon glyphicon-triangle-right">
									</a>
								</li>
							</ul>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m left" style="--per: 100%">
							Ημερομηνία Από:
							<input type="date" ng-model="new.dateFrom">
						</div>
						<div class="col-m left" style="--per: 50%">
							Ημερομηνία Μέχρι:
							<input type="date" ng-model="new.dateTo">
						</div>
						<div class="col-m left" style="--per: 50%">
							<span class="btn btn-link" ng-click="changePage(params.page)">Εφαρμογή Nέων Ημερομηνιών</span>
						</div>
					</td>
				</tr>
			</tbody>
		</table>
		<div class="text-center" ng-hide="shops.length">Το προϊόν δεν είναι διαθέσιμο σε κανένα κατάστημα</div>
		<table id="shopinfo" class="table table-striped">
			<thead>
				<td>
						<div class="col-m left" style="--per: 40%">Όνομα</div>
						<div class="col-m center" style="--per: 20%">Απόσταση</div>
						<div class="col-m center" style="--per: 20%">Ημερομηνία</div>
						<div class="col-m center" style="--per: 20%">Τιμή</div>
				</td>
			</thead>
			<tbody>
				<tr ng-repeat="shop in shops">
					<td>	
						<div class="col-m left" style="--per: 40%"><button class="btn btn-link" ng-click="setLocation('shop/' + shop.shopId)">{{shop.shopName}}</button></div>
						<div class="col-m center" style="--per: 20%"><span >{{shop.shopDist}} m</span></div>
						<div class="col-m center" style="--per: 20%">{{shop.date}}</div>
						<div class="col-m center" style="--per: 20%">{{shop.price | currency}}</div>
					</td>
				</tr>
			</tbody>
		</table>
		<div class="text-center">
			<ul class="pagination pagination-sm">
				<li class="page-item">
					<a class="page-link" href="" ng-click="changePage(params.page - 1)">
						<span class="glyphicon glyphicon-triangle-left">
					</a>
				</li>
				
				<li class="page-item" ng-show="params.page > 2"><a class="page-link" href="" ng-click="changePage(1)">{{1}}</a></li>
				<li class="page-item prev" ng-show="params.page > 3"><a class="page-link" href="">..</a></li>
				
				<li class="page-item prev" ng-show="params.page > 1"><a class="page-link" href="" ng-click="changePage(params.page - 1)">{{params.page - 1}}</a></li>
				<li class="page-item current active"><a class="page-link" href="" ng-click="changePage(params.page)">{{params.page}}</a></li>
				<li class="page-item next" ng-show="params.page < lastPage"><a class="page-link" href="" ng-click="changePage(params.page + 1)">{{params.page + 1}}</a></li>

				<li class="page-item prev" ng-show="params.page < lastPage - 2"><a class="page-link" href="">..</a></li>
				<li class="page-item" ng-show="params.page < lastPage - 1"><a class="page-link" href="" ng-click="changePage(lastPage)">{{lastPage}}</a></li>
				
				<li class="page-item">
					<a class="page-link" href="" ng-click="changePage(params.page + 1)">
						<span class="glyphicon glyphicon-triangle-right">
					</a>
				</li>
			</ul>
		</div>
	</div>
</div>
